* {
    padding: 0;
    margin: 0;
    font-size: 20px;
    font-family: Poppins, Verdana, 'Segoe UI';
    box-sizing: border-box;
    overflow-x: hidden;
}

@keyframes appear {
    0% {
        opacity: 0;
    } 100% {
        opacity: 1;
    }
}

:root {
    --primary-color: #FFBB00;
    --secondary-color: #FFFFFF;
    --tertiary-color: #360868;
    --dark-overlay: #000000E8;
    --transition: 0.5s ease all;
    --border-radius: 0.5rem;
    --border: 1px solid var(--primary-color);
}

::selection {
    background: var(--primary-color);
    color: var(--secondary-color);
}

input {
    width: 100%;
    outline: none;
    font-family: inherit;
    font-size: 0.8rem;
    background: none;
    padding: 0.5rem;
    color: var(--secondary-color);
    border: none;
    border-radius: 0;
    border-bottom: var(--border);
}

button {
    outline: none;
    width: 100%;
    border: var(--border);
    border-radius: var(--border-radius);
    background: var(--primary-color);
    color: var(--secondary-color);
    font-family: inherit;
    font-size: 0.8rem;
    padding: 0.4rem;
    cursor: pointer;
    transition: var(--transition);
}

button:hover {
    background: var(--secondary-color);
    color: var(--primary-color);
}

section,
footer,
.image-box {
    display: flex;
    justify-content: center;
    padding: 1rem;
}

footer {
    background: #000000;
    color: var(--secondary-color);
}

table {
    border-collapse: collapse;
}

th,
td {
    padding: 0.5rem;
}

tr:nth-child(even) {
    background: #808080;
}

tr:nth-child(odd) {
    background-color: #C0C0C0;
}

thead th{
    background: var(--tertiary-color);
    color: var(--secondary-color);
}

.center {
    text-align: center;
}

.head {
    display: flex;
    justify-content: space-between;
    padding: 0.5rem;
}

.head-linear-logo {
    width: 10rem;
}

.icon {
    font-size: 1.3rem;
    width: 2.3rem;
    height: 2.3rem;
    border-radius: 5px;
    border: var(--border);
    color: var(--secondary-color);
    background: var(--primary-color);
    text-align: center;
    transition: var(--transition);
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
}

.icon:hover {
    background: var(--secondary-color);
    color: var(--primary-color);
}

#fullscreen-navigations {
    display: flex;
    padding: 0.5rem;
    background: var(--primary-color);
    justify-content: center;
    column-gap: 1rem;
}

.menu-overlay {
    position: fixed;
    top: 0;
    left: 0;
    z-index: -1;
    opacity: 0;
    width: 100%;
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    row-gap: 0.4rem;
    background: var(--dark-overlay);
    transition: var(--transition);
}

.overlay-title {
    font-size: 1.4rem;
    color: var(--primary-color);
    text-align: center;
}

.fullscreen-navigation-link,
.smallscreen-navigation-link {
    text-decoration: none;
    color: var(--secondary-color);
    padding: 0.3rem;
    transition: var(--transition);
    width: 7rem;
    font-size: 0.8rem;
    text-align: center;
}

.fullscreen-navigation-link:hover,
.smallscreen-navigation-link:hover {
    background: var(--secondary-color);
    color: var(--primary-color);
}

.smallscreen-navigation-link {
    width: 70%;
    padding: 0.5rem;
}

.close-menu-icon {
    position: fixed;
    top: 1rem;
    right: 1rem;
}

.close-overlay-icon {
    position: fixed;
    top: 1rem;
    right: 1rem;
}

.head-icons {
    display: flex;
    column-gap: 0.5rem;
}

.menu-icon {
    visibility: hidden;
}

.cover-image {
    width: 100vw;
    height: 80vh;
    background: url('../img/College-gate.jpg');
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-size: cover;
    position: relative;
}

.cover-image-overlay {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: absolute;
    width: 100%;
    height: 100%;
    padding: 3rem;
    top: 0;
    left: 0;
    background: #00000088;
}

.cover-image-heading-text,
.cover-image-under-text,
.cover-image-description-text {
    font-weight: bold;
    font-size: 2.3rem;
    color: var(--primary-color);
    text-align: center;
}

.cover-image-under-text {
    font-size: 1.7rem;
    color: #619096;
}

.section-content {
    width: 35rem;
    display: flex;
    flex-direction: column;
    row-gap: 0.5rem;
}

.section-head {
    font-size: 1.4rem;
    font-weight: bold;
    color: var(--primary-color);
}

.page-link {
    color: var(--primary-color);
    transition: var(--transition);
}

.page-link:hover {
    color: var(--tertiary-color);
}

.image-box {
    padding: 1rem;
    flex-direction: column;
    align-items: center;
}

.box-one {
    background: var(--primary-color);
}

.box-two,
.box-five {
    background: var(--tertiary-color);
}

.box-three {
    background: #619096;
}

.box-four {
    background: #161616;
}

.box-six {
    background: var(--primary-color);
}

.image,
.video {
    width: 35rem;
    max-height: 20rem;
    overflow: hidden;
}

.video {
    max-height: 25rem;
}

.image-box img,
.image-box video {
    width: 100%;
    animation: appear 0.5s ease;
    transition: var(--transition);
}

.activities {
    display: flex;
    justify-content: space-between;
    gap: 1rem;
}

.activity {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 9.5rem;
    height: 9.5rem;
    padding: 1rem;
    position: relative;
}

.activity-hover {
    padding: 1rem;
    display: flex;
    align-items: center;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
    background: #000000AA;
    font-size: 0.7rem;
    width: 100%;
    height: 100%;
    color: var(--secondary-color);
    opacity: 0;
    transition: var(--transition);
    overflow: hidden;
}

.activity-hover:hover {
    opacity: 1;
}

.activity-text,
.image-text {
    font-family: Learners, Verdana;
    font-size: 1.3rem;
    color: var(--secondary-color);
}

.image-text {
    color: #000000;
    text-align: center;
}

.act-one {
    background: var(--primary-color);
}

.act-two {
    background: var(--tertiary-color);
}

.act-three {
    background: #619096;
}

.act-four,
.act-seven {
    background: #831886;
}

.act-five {
    background: #FF0080;
}

.act-six {
    background: #FF6600;
}

.act-eight {
    background: #048100;
}

.act-nine {
    background: #DD0000;
}

.footer-links {
    display: flex;
    justify-content: space-between;
}

.quick-links {
    display: flex;
    flex-direction: column;
    row-gap: 0.2rem;
}

.footer-link {
    color: var(--secondary-color);
    text-decoration: none;
    font-size: 0.7rem
}

.footer-link:hover {
    color: var(--primary-color);
}

.hidden-element {
    opacity: 0;
}

.visible-element {
    opacity: 1;
    animation: appear 0.5s ease;
}

.footer-text {
    font-size: 0.7rem;
    align-self: center;
    color: var(--secondary-color);
    text-decoration: none;
}

.footer-icon {
    font-size: 1.2rem;
    text-align: center;
    width: 2rem;
}

.footer-item {
    display: flex;
    column-gap: 1rem;
}

.footer-contact {
    display: flex;
    flex-direction: column;
    row-gap: 0.7rem;
}

@media screen and (max-width: 800px) {
    #fullscreen-navigations {
        display: none
    }

    .icon {
        width: 1.8rem;
        height: 1.8rem;
        font-size: 1rem;
    }

    .cover-image {
        padding: 2.3rem;
    }

    .menu-icon {
        visibility: visible;
    }
}

@media screen and (max-width: 600px){
    .cover-image-heading-text {
        font-size: 1.7rem;
    }

    .cover-image-under-text {
        font-size: 1.3rem;
    }

    .section-content,
    .image {
        width: 100%;
    }

    .section-text {
        font-family: Muli, Verdana;
    }

    .activities {
        flex-direction: column;
    }

    .activity {
        width: 100%;
        height: 7rem;
    }

    .activity-text {
        font-size: 1.4rem;
    }
}

@media screen and (max-width: 500px) {
    * {
        font-size: 18px;
    }

    .cover-image {
        height: 70vh;
    }

    .cover-image-overlay {
        justify-content: center;
        row-gap: 2rem;
    }

    .cover-image-heading-text {
        font-size: 1.4rem;
    }

    .cover-image-under-text {
        font-size: 1.2rem;
    }

    .section-head {
        font-family: 1.2rem;
    } 
}